Panda3D

- Main Page
- Packages
- Classes

- Packages
- Package Functions

Classes | Functions | Variables

# Package interval.IntervalTest

## Classes
class | DummyAcceptor
## Functions
def | caughtIt
def | handleWaterDone
def | printArguments
def | printDone
def | printPreviousEnd
def | printPreviousStart
def | printStart
def | printTrackStart
def | test
## Variables
list | __all__ = []
tuple | boat = loader.loadModel('models/misc/smiley')
tuple | BOAT_END = boatTrack.getIntervalEndTime('boatpath')
tuple | BOAT_START = boatTrack.getIntervalStartTime('boatpath')
tuple | boatMopath = MopathInterval(mp, boat, 'boatpath')
tuple | boatTrack = Track([boatMopath], 'boattrack')
tuple | dock = loader.loadModel('models/misc/smiley')
tuple | dockLerp
tuple | dockLerp2 = LerpHprInterval(dock, 3.0, hpr2, name='hpr-lerp')
tuple | dockPos = PosHprInterval(dock, dock.getPos(), dock.getHpr(), 1.0, 'dockpos')
tuple | dockTrack = Track([dockLerp2, dockPos, dockLerp], 'docktrack')
tuple | dockUpTime = BOAT_END-dockLerp.getDuration()
tuple | donald = Actor()
tuple | donaldLoopInterval = ActorInterval(donald, 'steer', loop=1, duration = 10.0)
tuple | donaldSteerInterval = ActorInterval(donald, 'steer')
tuple | donaldSteerTrack
tuple | eventTime = soundTrack.getIntervalEndTime('watersound')
tuple | foghorn = loader.loadSfx('phase_6/audio/sfx/SZ_DD_foghorn.mp3')
tuple | foghornSound = SoundInterval(foghorn, name='foghorn')
float | foghornStartTime = 4.0
tuple | hpr2 = Vec3(90.0, 90.0, 90.0)
tuple | i1 = FunctionInterval(lambda: base.transitions.fadeOut())
| Using lambdas and functions ### Using a lambda.
tuple | i2 = FunctionInterval(lambda: base.transitions.fadeIn())
tuple | i3 = AcceptInterval(da, 'here-is-an-event', caughtIt)
tuple | i4 = EventInterval('here-is-an-event')
tuple | i5 = IgnoreInterval(da, 'here-is-an-event')
tuple | i6 = FunctionInterval(printDone)
tuple | i7 = FunctionInterval(printArguments, extraArgs = [1, 10, 100])
tuple | mp = Mopath.Mopath()
tuple | mtrack
tuple | sound = loader.loadSfx('phase_6/audio/sfx/SZ_DD_waterlap.mp3')
tuple | soundTrack = Track([waterSound], 'soundtrack')
tuple | soundTrack2 = Track([(foghornStartTime, foghornSound)], 'soundtrack2')
float | startTime = 0.0
| Specifying interval start times during track construction ### Interval start time can be specified relative to three different points: PREVIOUS_END PREVIOUS_START TRACK_START.
tuple | t1
tuple | t2
tuple | waterDone = EventInterval('water-is-done')
tuple | waterEventTrack = Track([waterDone])
tuple | waterSound = SoundInterval(sound, name='watersound')
float | waterStartTime = 5.0

## Detailed Description

    Undocumented Module

## Function Documentation

def interval.IntervalTest.caughtIt | ( |  | ) |

def interval.IntervalTest.handleWaterDone | ( |  | ) |

def interval.IntervalTest.printArguments | ( |  | a,
|  |  | b,
|  |  | c
| ) |  |

def interval.IntervalTest.printDone | ( |  | ) |

def interval.IntervalTest.printPreviousEnd | ( |  | ) |

def interval.IntervalTest.printPreviousStart | ( |  | ) |

def interval.IntervalTest.printStart | ( |  | ) |

def interval.IntervalTest.printTrackStart | ( |  | ) |

def interval.IntervalTest.test | ( |  | n | ) |

## Variable Documentation

list __all__ = []

tuple boat = loader.loadModel('models/misc/smiley')

tuple BOAT_END = boatTrack.getIntervalEndTime('boatpath')

tuple BOAT_START = boatTrack.getIntervalStartTime('boatpath')

tuple boatMopath = MopathInterval(mp, boat, 'boatpath')

tuple boatTrack = Track([boatMopath], 'boattrack')

tuple dock = loader.loadModel('models/misc/smiley')

tuple dockLerp

Initial value:

    00001 LerpPosHprInterval(dock, 5.0,
    00002                                   pos=Point3(0, 0, -5),
    00003                                   hpr=Vec3(0, 0, 0),
    00004                                   name='dock-lerp')

tuple dockLerp2 = LerpHprInterval(dock, 3.0, hpr2, name='hpr-lerp')

tuple dockPos = PosHprInterval(dock, dock.getPos(), dock.getHpr(), 1.0, 'dockpos')

tuple dockTrack = Track([dockLerp2, dockPos, dockLerp], 'docktrack')

tuple dockUpTime = BOAT_END-dockLerp.getDuration()

tuple donald = Actor()

tuple donaldLoopInterval = ActorInterval(donald, 'steer', loop=1, duration = 10.0)

tuple donaldSteerInterval = ActorInterval(donald, 'steer')

tuple donaldSteerTrack

Initial value:

    00001 Track([donaldSteerInterval, donaldLoopInterval],
    00002                              name = 'steerTrack')

tuple eventTime = soundTrack.getIntervalEndTime('watersound')

tuple foghorn = loader.loadSfx('phase_6/audio/sfx/SZ_DD_foghorn.mp3')

tuple foghornSound = SoundInterval(foghorn, name='foghorn')

float foghornStartTime = 4.0

tuple hpr2 = Vec3(90.0, 90.0, 90.0)

tuple i1 = FunctionInterval(lambda: base.transitions.fadeOut())

Using lambdas and functions ### Using a lambda.

tuple i2 = FunctionInterval(lambda: base.transitions.fadeIn())

tuple i3 = AcceptInterval(da, 'here-is-an-event', caughtIt)

tuple i4 = EventInterval('here-is-an-event')

tuple i5 = IgnoreInterval(da, 'here-is-an-event')

tuple i6 = FunctionInterval(printDone)

tuple i7 = FunctionInterval(printArguments, extraArgs = [1, 10, 100])

tuple mp = Mopath.Mopath()

tuple mtrack

Initial value:

    00001 MultiTrack([boatTrack, dockTrack, soundTrack, soundTrack2, waterEventTrack,
    00002                          donaldSteerTrack])

tuple sound = loader.loadSfx('phase_6/audio/sfx/SZ_DD_waterlap.mp3')

tuple soundTrack = Track([waterSound], 'soundtrack')

tuple soundTrack2 = Track([(foghornStartTime, foghornSound)], 'soundtrack2')

float startTime = 0.0

Specifying interval start times during track construction ### Interval start time can be specified relative to three different points: PREVIOUS_END PREVIOUS_START TRACK_START.

tuple t1

Initial value:

    00001 Track([
    00002         # Fade out
    00003         (0.0, i1),
    00004         # Fade in
    00005         (2.0, i2),
    00006         # Accept event
    00007         (4.0, i3),
    00008         # Throw it,
    00009         (5.0, i4),
    00010         # Ignore event
    00011         (6.0, i5),
    00012         # Throw event again and see if ignore worked
    00013         (7.0, i4),
    00014         # Print done
    00015         (8.0, i6)], name = 'demo')

tuple t2

Initial value:

    00001 Track([(0.0, i1),                 # i1 start at t = 0, duration = 0.0
    00002                 (1.0, i2, TRACK_START),    # i2 start at t = 1, duration = 2.0
    00003                 (2.0, i3, PREVIOUS_END),   # i3 start at t = 5, duration = 0.0
    00004                 (1.0, i4, PREVIOUS_END),   # i4 start at t = 6, duration = 2.0
    00005                 (3.0, i5, PREVIOUS_START), # i5 start at t = 9, duration = 0.0
    00006                 (10.0, i6, TRACK_START),   # i6 start at t = 10, duration = 0.0
    00007                 (12.0, i7)],               # i7 start at t = 12, duration = 0.0
    00008                name = 'startTimeDemo')

tuple waterDone = EventInterval('water-is-done')

tuple waterEventTrack = Track([waterDone])

tuple waterSound = SoundInterval(sound, name='watersound')

float waterStartTime = 5.0

All Classes Namespaces Functions Variables Enumerations Enumerator Properties